module Main where

import Kenken (solve)
import Control.Parallel.Strategies (parMap, rpar)
import Data.Maybe (isJust)
import System.IO (readFile)
import System.Environment (getArgs)

main :: IO ()
main = do puzzles <- getArgs >>= \[f] -> lines <$> readFile f
          let solutions = parMap rpar solve puzzles
          print $ length $ filter isJust $ solutions




